Преглед изворни кода

Merge pull request #752 from Smarticles101/speed-up-travis-build

Potential solve for #326 and journey-test passing when they fail
Stuart Kent пре 9 година
родитељ
комит
af536a7c82
2 измењених фајлова са 3 додато и 1 уклоњено
  1. 1
    0
      bin/run-journey-test-from-ci.sh
  2. 2
    1
      bin/unit-tests.sh

+ 1
- 0
bin/run-journey-test-from-ci.sh Прегледај датотеку

@@ -1,5 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
+trap 'exit 1' ERR
3 4
 bin/build-jq.sh
4 5
 
5 6
 pr_files_json=`curl -s https://api.github.com/repos/exercism/java/pulls/${TRAVIS_PULL_REQUEST}/files`

+ 2
- 1
bin/unit-tests.sh Прегледај датотеку

@@ -1,5 +1,6 @@
1 1
 #!/usr/bin/env bash
2
-set -e
2
+trap 'exit 1' ERR
3
+
3 4
 ./gradlew --version
4 5
 
5 6
 echo ""